import { RendererComponent } from "../components";
import { NavigationItem } from "../models/NavigationItem";
/**
 * A plugin that exposes the navigation structure of the documentation
 * to the rendered templates.
 *
 * The navigation structure is generated using the current themes
 * [[BaseTheme.getNavigation]] function. This plugins takes care that the navigation
 * is updated and passed to the render context.
 */
export declare class NavigationPlugin extends RendererComponent {
    /**
     * The navigation structure generated by the current theme.
     */
    navigation: NavigationItem;
    /**
     * Create a new NavigationPlugin instance.
     */
    initialize(): void;
    /**
     * Triggered before the renderer starts rendering a project.
     *
     * @param event  An event object describing the current render operation.
     */
    private onBeginRenderer;
    /**
     * Triggered before a document will be rendered.
     *
     * @param page  An event object describing the current render operation.
     */
    private onBeginPage;
}
